Subject: Re: Detailed text changes to the CGA draft to resolve CGA issue #12

From: <[email-masked]>
Date: Thu, 1 Apr 2004 10:03:46 +0300

Tuomas, 

Your text looks good. A small nit below:

> SEND
> SHOULD use an RSA public/private key pair. When RSA is used, the
> algorithm identifier MUST be rsaEncryption, which is
> 1.2.840.113549.1.1.1, and the RSA public key MUST be formatted
> using RSAPublicKey type as specified in Section 2.3.1 of RFC 3279
> [RFC3279]. The RSA key length SHOULD be at least 384 bits. Other
> public key types or format SHOULD NOT be used for SEND to avoid
> incompatibilities [I-D.ietf-send-ndopt] between implementations.
> The length of the public key is determined by the ASN.1 encoding.

I find the last SHOULD NOT a bit confusing. First, regarding
public key types the earlier text already has a SHOULD for
RSA, hence the SHOULD NOT for non-RSA seems implicit. Secondly,
for format the text already has a MUST, so having just a SHOULD
NOT for another format seems to weaken this. Finally, I'm
not sure which part of NDOPT draft you are referring in the
second last sentence.

Perhaps the text would be simplier if you just omitted the
keyword, as in:

  Other public key types or formats are undesirable in SEND,
  since they may result in incompatibilities between
  implementations. The length of the public key is determined
  by the ASN.1 encoding.

--Jari

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------

---

From: "Tuomas Aura" <[email-masked]>
Date: Mon, 5 Apr 2004 23:59:10 -0700

>   implementations. The length of the public key is determined

Ok. This is a better wording.
Tuomas